Skip to content
Hype Doc
Search
Ctrl
K
Cancel
Homepage
Go to app
Contact
Menu
Getting Started
Quick Start
Authentication
Plans & Limits
Apps & Plugins
Overview
Guides
Collaborate on a Space
Set Up Win Reminders
Draft a Review with AI
MCP Server
Overview
Available Tools
ChatGPT
Claude Desktop
Claude Code
Codex
Cursor
GitHub Copilot
OpenCode
OMP
Pi
OAuth 2.1 Flow
CLI
Installation
hype log
hype wins
hype spaces
hype auth
hype tags
Configuration
REST API
Overview
API tokens
API reference
Overview
auth
Overview
Send an email verification code
POST
Revoke the current API session
DELETE
Verify an email code
POST
me
Overview
Show the current user
GET
spaces
Overview
List accessible spaces
GET
Create a space
POST
Show a space
GET
Delete a space
DELETE
Update a space
PATCH
wins
Overview
List accessible wins
GET
Create a win
POST
Show a win
GET
Delete a win
DELETE
Update a win
PATCH
attachments
Overview
Upload an attachment
POST
Show an attachment
GET
Delete an attachment
DELETE
tags
Overview
List visible tags
GET
Delete a tag
DELETE
Rename a tag
PATCH
exports
Overview
Create an export
POST
Show an export
GET
api_tokens
Overview
List API tokens
GET
Create an API token
POST
Revoke an API token
DELETE
connected_apps
Overview
List connected OAuth applications
GET
Revoke a connected OAuth application
DELETE
Reference
Rate limits
Error codes
Pagination
Homepage
Go to app
Contact
Overview
spaces
Section titled “spaces”
Spaces that group your wins
Operations
Section titled “Operations”
GET
/api/v1/spaces
POST
/api/v1/spaces
GET
/api/v1/spaces/{id}
DELETE
/api/v1/spaces/{id}
PATCH
/api/v1/spaces/{id}